.button {
  font: inherit;
  border: 1px solid #a4170de7;
  background: #a4170de7;
  color: white;
  padding: 0.75rem 3.5rem;
  cursor: pointer;
  font-size: 1.15rem;
  border-radius: 30px;
}

.button:hover,
.button:active {
  background: #a4170de7;
  border-color: #a4170de7;
}

.button:focus {
  outline: none;
}

button:disabled,
button:focus:disabled,
button:hover:disabled,
button:active:disabled {
  background: #ccc;
  border-color: #ccc;
  color: #666666;
  cursor: not-allowed;
}
